Bug 1292547 - pyhunspell: please provide a Python 3 package
pyhunspell: please provide a Python 3 package
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pyhunspell (Show other bugs)
24
All All
unspecified Severity low
: ---
: ---
Assigned To: Mike FABIAN
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PYTHON3
  Show dependency treegraph
 
Reported: 2015-12-17 13:11 EST by David H. Gutteridge
Modified: 2016-06-30 17:22 EDT (History)
2 users (show)

See Also:
Fixed In Version: pyhunspell-0.3.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-30 17:20:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David H. Gutteridge 2015-12-17 13:11:34 EST
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.

According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 1 Mike FABIAN 2015-12-23 09:41:44 EST
Package submitted: 
https://bodhi.fedoraproject.org/updates/FEDORA-2015-f005f839a8
Comment 2 Jan Kurik 2016-02-24 10:43:44 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 David H. Gutteridge 2016-06-30 17:20:52 EDT
This was addressed months ago, a Python 3 package is now available.

Note You need to log in before you can comment on or make changes to this bug.